%define pkg_name    xmonad-extras
%define pkg_version 0.14
%define pkg_release 1%{?_dist_release}

Summary:     Various modules for xmonad
Summary(ja): xmonadのための様々なモジュール
Name:    %{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD3
Group:   User Interface/Desktops
URL:     http://hackage.haskell.org

Source0: packages

Source11: alsa-core-0.5.0.1.tar.gz
Source12: alsa-core.cabal
Source13: ghc-paths-0.1.0.9.tar.gz
Source14: ghc-paths.cabal
Source15: language-c-0.8.1.tar.gz
Source16: language-c.cabal
Source17: libmpd-0.9.0.8.tar.gz
Source18: libmpd.cabal
Source19: transformers-compat-0.6.2.tar.gz
Source20: transformers-compat.cabal
Source21: c2hs-0.28.5.tar.gz
Source22: c2hs.cabal
Source23: alsa-mixer-0.2.0.3.tar.gz
Source24: alsa-mixer.cabal
Source25: exceptions-0.10.0.tar.gz
Source26: exceptions.cabal
Source27: temporary-1.3.tar.gz
Source28: temporary.cabal
Source29: hint-0.8.0.tar.gz
Source30: hint.cabal
Source31: xmonad-extras-0.14.tar.gz
Source32: xmonad-extras.cabal

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: ghc haskell-platform
BuildRequires: xmonad xmonad-contrib
BuildRequires: libffi-devel gmp-devel zlib-devel
BuildRequires: xorg-x11-devel
BuildRequires: alsa-lib-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: ncurses-devel
BuildRequires: docbook-utils docbook-utils-pdf docbook-style-xsl

Requires: haskell-platform-dep
Requires: xmonad xmonad-contrib
Requires: libXScrnSaver-devel


Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Various modules for xmonad that cannot be added to xmonad-contrib
 because of additional dependencies.

%description -l ja
サードパーティーによるxmonad拡張であり、依存パッケージの追加のために
xmonad-contribに含まれなかったモジュールを含みます。


%prep
%{__rm} -rf ${RPM_BUILD_ROOT}

%build
export PATH=${RPM_BUILD_ROOT}%{_bindir}:${PATH}
%ghc_pkg_init

cd %{_builddir}
for pkg in `cat %{SOURCE0}`; do
    %{__tar} xzf %{_sourcedir}/${pkg}.tar.gz
    pushd ${pkg}
        %ghc_fix_dependencies ${pkg}
        %cabal_configure2 %{name} ${pkg}
        %cabal_build
        %cabal_haddock
        %cabal_copy_resister %{name}_${pkg}
    popd
done

%install
# copy documents
pushd %{_builddir}/%{name}-%{version}
    %{__cp} CHANGELOG.md LICENSE README.md \
     ${RPM_BUILD_ROOT}%{_docdir}/%{name}/%{name}-%{version}
popd


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/ghc-%{ghc_version}/
%{_libdir}/ghc-lib/
%{_datadir}/%{name}/
%{_docdir}/%{name}/


%changelog
* Wed Aug 08 2018 Toshiaki Ara <ara_t@384.jp> 0.14-1
- update to 0.14
- add BuildRequires: libXScrnSaver-devel

* Fri Jul 20 2018 Toshiaki Ara <ara_t@384.jp> 0.13.3-3
- build using ghc-8.4.3

* Fri May 18 2018 Toshiaki Ara <ara_t@384.jp> 0.13.3-1
- update to 0.13.3
- rebuild using ghc-8.4.2
- rewrite using macro

* Tue Jan 09 2018 Toshiaki Ara <ara_t@384.jp> 0.13.2-1
- update to 0.13.2
- build using ghc-8.2.2

* Fri Feb 03 2017 Toshiaki Ara <ara_t@384.jp> 0.12.1-6
- rebuild using ghc-8.0.1

* Wed May 04 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-5
- rebuilt

* Tue Apr 12 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-4
- rebuild under xmonad-0.12-3 and xmonad-contrib-0.12-4
- correct SPEC file

* Tue Mar 01 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-3
- rebuild under xmonad-0.12-2 and xmonad-contrib-0.12-3

* Sat Feb 27 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-2
- recompile

* Sat Feb 27 2016 Toshiaki Ara <ara_t@384.jp> 0.12.1-1
- new package
